diff --git a/changelog b/changelog
index 0a7317c..366d13f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20080505 tpd src/input/schaum23.input post-mortem fixes
+20080505 tpd src/input/schaum22.input post-mortem fixes
+20080505 tpd src/input/schaum21.input post-mortem fixes
 20080504 tpd src/input/schaum19.input post-mortem fixes
 20080504 tpd src/input/schaum18.input post-mortem fixes
 20080502 tpd src/input/schaum17.input post-mortem fixes
diff --git a/src/input/schaum21.input.pamphlet b/src/input/schaum21.input.pamphlet
index 4d6a8be..2c24de5 100644
--- a/src/input/schaum21.input.pamphlet
+++ b/src/input/schaum21.input.pamphlet
@@ -614,7 +614,7 @@ bb:=(p*x)/(p^2+q^2)-q/(a*(p^2+q^2))*log(p*sin(a*x)+q*cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 47     14:449 Axiom cannot simplify this expression
+--S 47
 cc:=aa-bb
 --R
 --R   (3)
@@ -631,6 +631,61 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
+--S 48
+sindblrule:=rule(sin(2*a) == 2*sin(a)*cos(a))
+--R
+--R   (4)  sin(2a) == 2cos(a)sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 49
+dd:=sindblrule cc
+--R
+--R   (5)
+--R       2q log(p sin(a x) + q cos(a x))
+--R     + 
+--R                2p cos(a x)sin(a x) + q cos(2a x) + q                2
+--R       - 2q log(-------------------------------------) + q log(-------------)
+--R                            cos(2a x) + 1                      cos(2a x) + 1
+--R  /
+--R         2       2
+--R     2a q  + 2a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 50
+cosdblrule:=rule(cos(2*a) == 2*cos(a)^2-1)
+--R
+--R                          2
+--R   (6)  cos(2a) == 2cos(a)  - 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 51
+ee:=cosdblrule dd
+--R
+--R   (7)
+--R                                                p sin(a x) + q cos(a x)
+--R       2q log(p sin(a x) + q cos(a x)) - 2q log(-----------------------)
+--R                                                        cos(a x)
+--R     + 
+--R                 1
+--R       q log(---------)
+--R                     2
+--R             cos(a x)
+--R  /
+--R         2       2
+--R     2a q  + 2a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 52     14:449 Schaums and Axiom agree
+ff:=expandLog %
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.450~~~~~$\displaystyle
@@ -641,7 +696,7 @@ $$
 <<*>>=
 )clear all
 
---S 48     14:450 Axiom cannot compute this integral
+--S 53     14:450 Axiom cannot compute this integral
 aa:=integrate(cot(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum22.input.pamphlet b/src/input/schaum22.input.pamphlet
index 173338a..42fad96 100644
--- a/src/input/schaum22.input.pamphlet
+++ b/src/input/schaum22.input.pamphlet
@@ -418,7 +418,7 @@ bb:=sec(a*x)^n/(n*a)
 --R                                                     Type: Expression Integer
 --E
 
---S 31     14:454 Axiom cannot simplify this expression
+--S 31
 cc:=aa-bb
 --R
 --R                    1
@@ -432,6 +432,13 @@ cc:=aa-bb
 --R                      a n
 --R                                                     Type: Expression Integer
 --E
+
+--S 32     14:454 Schaums and Axiom agree
+normalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.455~~~~~$\displaystyle
@@ -442,7 +449,7 @@ $$
 <<*>>=
 )clear all
 
---S 32
+--S 33
 aa:=integrate(1/sec(a*x),x)
 --R 
 --R
@@ -452,7 +459,7 @@ aa:=integrate(1/sec(a*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 33
+--S 34
 bb:=sin(a*x)/a
 --R
 --R        sin(a x)
@@ -461,7 +468,7 @@ bb:=sin(a*x)/a
 --R                                                     Type: Expression Integer
 --E 
 
---S 34     14:455 Schaums and Axiom agree
+--S 35     14:455 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
@@ -478,7 +485,7 @@ $$
 <<*>>=
 )clear all
 
---S 35     14:456 Axiom cannot compute this integral
+--S 36     14:456 Axiom cannot compute this integral
 aa:=integrate(x*sec(a*x),x)
 --R 
 --R
@@ -499,7 +506,7 @@ $$
 <<*>>=
 )clear all
 
---S 36     14:457 Axiom cannot compute this integral
+--S 37     14:457 Axiom cannot compute this integral
 aa:=integrate(sec(a*x)/x,x)
 --R 
 --R
@@ -519,7 +526,7 @@ $$
 <<*>>=
 )clear all
 
---S 37
+--S 38
 aa:=integrate(x*sec(a*x)^2,x)
 --R 
 --R
@@ -533,7 +540,7 @@ aa:=integrate(x*sec(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 38
+--S 39
 bb:=x/a*tan(a*x)+1/a^2*log(cos(a*x))
 --R
 --R        log(cos(a x)) + a x tan(a x)
@@ -543,7 +550,7 @@ bb:=x/a*tan(a*x)+1/a^2*log(cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 39
+--S 40
 cc:=aa-bb
 --R
 --R   (3)
@@ -560,7 +567,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 40
+--S 41
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -569,7 +576,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 41
+--S 42
 dd:=tanrule cc
 --R
 --R                                    2                 2cos(a x)
@@ -581,7 +588,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 42     14:458 Schaums and Axiom differ by a constant
+--S 43     14:458 Schaums and Axiom differ by a constant
 ee:=expandLog dd
 --R
 --R        - log(2) + log(- 2)
@@ -600,7 +607,7 @@ $$
 <<*>>=
 )clear all
 
---S 43
+--S 44
 aa:=integrate(1/(q+p*sec(a*x)),x)
 --R 
 --R
@@ -626,7 +633,7 @@ aa:=integrate(1/(q+p*sec(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 44
+--S 45
 t1:=integrate(1/(p+q*cos(a*x)),x)
 --R
 --R   (2)
@@ -651,7 +658,7 @@ t1:=integrate(1/(p+q*cos(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 45
+--S 46
 bb1:=x/q-p/q*t1.1
 --R
 --R   (3)
@@ -667,7 +674,7 @@ bb1:=x/q-p/q*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 46
+--S 47
 bb2:=x/q-p/q*t1.2
 --R
 --R                             +---------+
@@ -682,7 +689,7 @@ bb2:=x/q-p/q*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 47
+--S 48
 cc1:=aa.1-bb1
 --R
 --R   (5)
@@ -704,7 +711,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 48
+--S 49
 cc2:=aa.1-bb2
 --R
 --R   (6)
@@ -726,7 +733,7 @@ cc2:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 49
+--S 50
 cc3:=aa.2-bb1
 --R
 --R   (7)
@@ -748,7 +755,7 @@ cc3:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 50     14:459 Schaums and Axiom agree
+--S 51     14:459 Schaums and Axiom agree
 cc4:=aa.2-bb2
 --R
 --R   (8)  0
@@ -765,7 +772,7 @@ $$
 <<*>>=
 )clear all
 
---S 51     14:460 Axiom cannot compute this integral
+--S 52     14:460 Axiom cannot compute this integral
 aa:=integrate(sec(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum23.input.pamphlet b/src/input/schaum23.input.pamphlet
index d285a80..96485e2 100644
--- a/src/input/schaum23.input.pamphlet
+++ b/src/input/schaum23.input.pamphlet
@@ -436,7 +436,7 @@ bb:=-csc(a*x)^n/(n*a)
 --R                                                     Type: Expression Integer
 --E
 
---S 34     14:464 Axiom cannot simplify this expression
+--S 34
 cc:=aa-bb
 --R
 --R                          1
@@ -450,6 +450,13 @@ cc:=aa-bb
 --R                          a n
 --R                                                     Type: Expression Integer
 --E
+
+--S 35     14:464 Schaums and Axiom agree
+normalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.465~~~~~$\displaystyle
@@ -460,7 +467,7 @@ $$
 <<*>>=
 )clear all
 
---S 35
+--S 36
 aa:=integrate(1/csc(a*x),x)
 --R 
 --R
@@ -470,7 +477,7 @@ aa:=integrate(1/csc(a*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 36
+--S 37
 bb:=-cos(a*x)/a
 --R
 --R          cos(a x)
@@ -479,7 +486,7 @@ bb:=-cos(a*x)/a
 --R                                                     Type: Expression Integer
 --E 
 
---S 37     14:465 Schaums and Axiom agree
+--S 38     14:465 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
@@ -496,7 +503,7 @@ $$
 <<*>>=
 )clear all
 
---S 38     14:466 Axiom cannot compute this integral
+--S 39     14:466 Axiom cannot compute this integral
 aa:=integrate(x*csc(a*x),x)
 --R 
 --R
@@ -517,7 +524,7 @@ $$
 <<*>>=
 )clear all
 
---S 39     14:467 Axiom cannot compute this integral
+--S 40     14:467 Axiom cannot compute this integral
 aa:=integrate(csc(a*x)/x,x)
 --R 
 --R
@@ -537,7 +544,7 @@ $$
 <<*>>=
 )clear all
 
---S 40
+--S 41
 aa:=integrate(x*csc(a*x)^2,x)
 --R 
 --R
@@ -550,7 +557,7 @@ aa:=integrate(x*csc(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 41
+--S 42
 bb:=-(x*cot(a*x))/a+1/a^2*log(sin(a*x))
 --R
 --R        log(sin(a x)) - a x cot(a x)
@@ -560,7 +567,7 @@ bb:=-(x*cot(a*x))/a+1/a^2*log(sin(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 42
+--S 43
 cc:=aa-bb
 --R
 --R   (3)
@@ -577,7 +584,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 43
+--S 44
 cotrule:=rule(cot(a) == cos(a)/sin(a))
 --R
 --R                  cos(a)
@@ -586,7 +593,7 @@ cotrule:=rule(cot(a) == cos(a)/sin(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 44
+--S 45
 dd:=cotrule cc
 --R
 --R                                sin(a x)                2
@@ -598,7 +605,7 @@ dd:=cotrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 45     14:468 Schaums and Axiom differ by a constant
+--S 46     14:468 Schaums and Axiom differ by a constant
 ee:=expandLog dd
 --R
 --R          log(2)
@@ -617,7 +624,7 @@ $$
 <<*>>=
 )clear all
 
---S 46
+--S 47
 aa:=integrate(1/(q+p*csc(a*x)),x)
 --R 
 --R
@@ -656,7 +663,7 @@ aa:=integrate(1/(q+p*csc(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 47
+--S 48
 t1:=integrate(1/(p+q*sin(a*x)),x)
 --R
 --R   (2)
@@ -688,7 +695,7 @@ t1:=integrate(1/(p+q*sin(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 48
+--S 49
 bb1:=x/q-p/q*t1.1
 --R
 --R   (3)
@@ -715,7 +722,7 @@ bb1:=x/q-p/q*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 49
+--S 50
 bb2:=x/q-p/q*t1.2
 --R
 --R                                              +---------+
@@ -731,7 +738,7 @@ bb2:=x/q-p/q*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 50
+--S 51
 cc1:=aa.1-bb1
 --R
 --R   (5)
@@ -765,7 +772,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 51
+--S 52
 cc2:=aa.2-bb1
 --R
 --R   (6)
@@ -796,7 +803,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 52
+--S 53
 cc3:=aa.1-bb2
 --R
 --R   (7)
@@ -827,7 +834,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 53     14:469 Schaums and Axiom agree
+--S 54     14:469 Schaums and Axiom agree
 cc4:=aa.2-bb2
 --R
 --R   (8)  0
@@ -844,7 +851,7 @@ $$
 <<*>>=
 )clear all
 
---S 54     14:470 Axiom cannot compute this integral
+--S 55     14:470 Axiom cannot compute this integral
 aa:=integrate(csc(a*x)^n,x)
 --R 
 --R
